<?php
$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("_0c5123aa744f69bbc0e8b3ea2f" . "6e847d" => base64_decode("bG1zZw=" . "="), "_0926ec1594f048b9fe0aa9" . "aa05b9a243" => base64_decode("Q291bGRuJ3QgZGVsZXRlLiBVbmRlZmluZWQ" . "gbWV0YSBmaWVsZCBJRA=="), "_2d4b5f427d48c3" . "244c2f195479a6c" . "ed7" => base64_decode("Y29tbW9uLm1ldGFkYXRhLmJsYW5rX3ZhbHVlc" . "w=="), "_2d71c655f2a62b5d8b25" . "dbf8acf952fd" => base64_decode("Q291bGRuJ3QgbG9hZC4gVW5kZWZpbmVkIG1ldGEgZmllb" . "GQgSUQ="), "_31767d7ad58e706dbf47b7" . "a51a0fe6c4" => base64_decode("Y291" . "bnQ="), "_d162ad33b44" . "d275ccc6e4b5" . "280b618df" => base64_decode("bWV0YV90Z" . "Xh0"), "_80be54d" . "4bf79b1f" . "177a6b45" . "55ae15ab" . "7" => base64_decode("Q291bGRuJ3Qgc2F2ZS4gVW5kZWZpbmVkIG1ldGEgZmll" . "bGQgSUQ="), "_e2e36e1c2215" . "f261368b20d15" . "740847e" => base64_decode("SU5TRVJUIElOVE8gRVJNU19tZXRhZGF0YV9maWVsZF92YWx1ZXMgKG1ldGFkYXRhX2lkLG1ldGFfdm" . "FsdWUsbWV0YV90ZXh0KSBWQUxVRVMgKGludDptZXRhX2ZpZWxkX2lkLGludDprZXksIHN0cjp2YWwp"), "_4079816faf0560c6877e4023" . "0b8b965f" => base64_decode("REVMRVRFIEZST00gRVJNU19tZXRhZGF0YV9maWVsZF92YWx1ZXMgV0hFUkUgbWV" . "0YWRhdGFfaWQ9aW50Om1ldGFfZmllbGRfaWQ="), "_516340c618ee12b8" . "bfb13b0d280f269f" => base64_decode("U0VMRUNUIG1ldGFfdGV4dCBGUk9NIEVSTVNfbWV0YWRhdGFfZmllbGRfdmFsdWVzIFdIRVJFIG1ldGFkYXRhX2lkPWludDptZXRhX2ZpZWxkX2lkIE9SREVSIEJZIG1ldGFfdmFsd" . "WU="), "_7f628626dd1d55c71b1fc" . "0932ffd1d2c" => base64_decode("aXN" . "fYX" . "JyY" . "Xk="));





class DynamicMetaFieldValues extends ErrorHandler
{
    var $meta_field_id = 0;
    var $values;
    function __construct($_6e38cb9e043a07cd69a1711a6704c62a = 0)
    {
        $this->meta_field_id = $_6e38cb9e043a07cd69a1711a6704c62a;
        $this->Clear();
    }
    function Clear()
    {
        $this->values = array();
    }
    function Load()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_2d71c655f2a62b5d8b2" . "5dbf8acf952fd"]);
        }
        $this->Clear();
        $db = \Claromentis\Core\Services::I()->GetDb();
        $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_516340c618ee12b8bfb13" . "b0d280f269f"], $this->meta_field_id);
        if (!$_189840d11056515e52402d1412a0b6e4->hasData()) {
            return false;
        }
        while ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_189840d11056515e52402d1412a0b6e4->fetchArray()) {
            $this->values[] = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_d162ad33b" . "44d275ccc6" . "e4b5280b61" . "8df"]];
        }
        return true;
    }
    function Save()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_80be54d4bf79b1f17" . "7a6b4555ae15ab7"]);
        }
        $this->Delete();
        $db = \Claromentis\Core\Services::I()->GetDb();
        foreach ($this->values as $key => $_c96f552040dea8086bf8bdd70059542f) {
            $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_e2e36e1c" . "2215f2613" . "68b20d157" . "40847e"], $this->meta_field_id, $key, $_c96f552040dea8086bf8bdd70059542f);
        }
        return true;
    }
    function Delete()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_0926ec1594f048b9fe0aa9aa05" . "b9a243"]);
        }
        $db = \Claromentis\Core\Services::I()->GetDb();
        return !!$db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_4079816faf0560c687" . "7e40230b8b965f"], $this->meta_field_id);
    }
    function GetAllValues()
    {
        return $this->values;
    }
    function SetValues($values)
    {
        if (!$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_7f628626dd1d55c71b1fc0932ff" . "d1d2c"]($values) || $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_31767d7ad58e706dbf47" . "b7a51a0fe6c4"]($values) == 0) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_2d4b5f427" . "d48c3244c2" . "f195479a6c" . "ed7"]));
        }
        $this->values = $values;
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_7f628626dd1d55c71b1fc0932ffd" . "1d2c"]($this->values)) {
            $this->values = array();
        }
        return true;
    }
}